gnutls_ext_set_data(3)

NAME
gnutls_ext_set_data - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_ext_set_data(gnutls_session_t session, unsigned type, gnutls_ext_priv_data_t data);

ARGUMENTS

gnutls_session_t session
    a gnutls_session_t opaque pointer

unsigned type
    the numeric id of the extension

gnutls_ext_priv_data_t data
    the private data to set

DESCRIPTION
This function allows an extension handler to store data in the current session and retrieve them later on. The set data will be deallocated using the gnutls_ext_deinit_data_func.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/